
@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Nunito+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap');

:root {
    --primary: #454545;
    --defalut-header-height: 60px;
    --default-width-page: 1150px;
    --default-bg:#181818;
    --active-menu-btn: #fff;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
ul,li {
    list-style: none;
}
html {
    font-size: 62.5%;
}

body {
    font-family: 'Libre Franklin', sans-serif;
    font-size: 1.6rem;
    line-height: 1.5;
    background-color: var(--default-bg);
    color: #fff;
}
button {
    outline: none;
    border: none;
    background-color: transparent;
    cursor: pointer;
}
/* Scrollbar */

/* width */
::-webkit-scrollbar {
    width: 12px;
}
  
  /* Track */
::-webkit-scrollbar-track {
    background: var(--default-bg);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}
  
  /* Handle */
::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
    background: #c5c5c5;
    border-radius: 10px;
    border-left: 3px solid var(--default-bg);
    border-right: 3px solid var(--default-bg);
}
::-webkit-scrollbar-thumb:hover {
    background: #818181;
}
.wrapper {
    height: 1000px;
}


/* Start Grid Layout */
.container {
    width: 1468px;
}
.grid {
    width: 100%;
    display: block;
    padding: 0;
}
.grid.wide {
    max-width: 1468px;
    margin: 0 auto;
}
.row {
    display: flex;
    flex-wrap: wrap;
    margin-right: -12px;
    margin-left: -12px;
}
.col {
    padding-left: 12px;
    padding-right: 12px;
}
.col-1 {
    flex: 0 0 8.33333%;
    max-width: 8.33333%;
}
.col-2 {
    flex: 0 0 16.66667%;
    max-width: 16.66667%;
}
.col-3 {
    flex: 0 0 25%;
    max-width: 25%;
}
.col-4 {
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
}
.col-5 {
    flex: 0 0 41.66667%;
    max-width: 41.66667%;
}
.col-6 {
    flex: 0 0 50%;
    max-width: 50%;
}
.col-7 {
    flex: 0 0 58.33333%;
    max-width: 58.33333%;
}
.col-8 {
    flex: 0 0 66.66667%;
    max-width: 66.66667%;
}
.col-9 {
    flex: 0 0 75%;
    max-width: 75%;
}
.col-10 {
    flex: 0 0 83.33333%;
    max-width: 83.33333%;
}
.col-11 {
    flex: 0 0 91.66667%;
    max-width: 91.66667%;
}
.col-12 {
    flex: 0 0 100%;
    max-width: 100%;
}
/* End Grid Layout */
.fixed-header {

}
.header {
    width: 1486px;
    height: 56px;
    display: flex;
    position: fixed;
    top: 0;
    z-index: 4;
    background: var(--default-bg);
    justify-content: space-between;
    align-items: center;
}
.header__control {
    flex: 1;
    display: flex;
    align-items: center;
}
.header__control .header__menu-btn {
    border-radius: 50%;
    padding: 4px;
    margin-right: 16px;
}
.header__control .header__menu-btn.active {
    border: 1px solid var(--active-menu-btn);
}
.header__control .header__menu-btn button {
    font-size: 1.9rem;
    width: 24px;
    height: 24px;
    color: #fff;
}
.header__logo {
    height: 56px;
}
.header__logo img {
    width: 90px;
    height: 56px;
    line-height: 1;
}
.header__search {
    flex: 3;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header__search  .header__search-form {
    width: 70%;
    display: flex;
    border: 1px solid;
    border-color: hsl(0, 0%, 18.82%);
    box-shadow: 0 1px 0 rgb(0 0 0 / 10%);
}
.header__search-input {
    background: hsl(0, 0%, 7%);
    outline: none;
    border: none;
    width: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.header__search-input input:focus .header__search-input{
    border: 1px solid #1c62b9;
    box-shadow: inset 0 1px 2px rgb(0 0 0 / 30%);
}
.header__search-input input {
    outline: none;
    flex: 1;
    background: transparent;
    border: none;
    color: hsla(0, 100%, 100%, 0.88);
    font-size: 1.6rem;
    padding: 11px 10px;
    margin: 0 0 -1px 0;
}
.header__search-input input::placeholder {
    color:#717171 ;
  }
.header__search-input span {
    color: #717171;
    margin: 0 10px;
}
.header__search-btn {
    width: 64px;
    border-color: hsl(0, 0%, 18.82%);
    background: hsla(0, 0%, 100%, 0.08);
    box-shadow: 0 1px 0 rgb(0 0 0 / 10%);
    font-size: 2rem;
    color: hsla(0, 100%, 100%, 0.88);
}
.header__search-speak {
    margin: 10px;
    width: 40px;
    height: 40px;
    background: hsl(0, 0%, 7%);
    border-radius: 50%;
}
.header__search-speak  button {
    color: #fff;
    font-size: 2rem;
    width: 100%;
    height: 100%;
}
.header__search-speak  button  span{
    line-height: 40px;
}

.header__menu {
    flex: 1;
    margin-left: auto;
}

.header__menu-group {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.header__menu-item {
    width: 40px;
    text-align: center;
    line-height: 40px;
    height: 40px;
    margin: 0 0 0 12px;
    cursor: pointer;
}
.header__menu-item i {
    font-size: 2.4rem;
}
.header__image-account img{
    border-radius: 50%;
    object-fit: cover;
}
.sidebar {
    width: 240px;
    position: fixed;
    top: 56px;
}
.sidebar__group {
    height: calc(100vh - 56px);
    overflow-y: scroll;
    padding-top: 10px ;
}
.sidebar__group::-webkit-scrollbar-thumb {
    background: var(--default-bg);
}
.sidebar__group:hover::-webkit-scrollbar-thumb {
    background: #c5c5c5;
}
.sidebar__list-link {
    margin-right: 4px;
   
}
.sidebar__list-link .speac-line {
    border-bottom: 1px solid #2F2F2F;
    margin: 10px 0;
}
.sidebar__item {
    display: flex;
    padding: 8px 32px;
    cursor: pointer;
}
.sidebar__item:hover {
    background: #2F2F2F;
}
.sidebar__item.active {
    background: #2F2F2F;
}
.sidebar__item span {
    margin-right: 20px;
}
.hidden {
    display: none;
}
.main {
    width: calc(100% - 240px);
    position:absolute;
    top: 112px;
    left: 240px;
    z-index: 1;
}
.tagbar {
    width: calc(100% - 240px);
    position: fixed;
    height: 56px;
    top: 56px;
    left: 240px;
    z-index: 2;
    background: var(--default-bg);
    overflow: hidden;
    opacity: 0.9;
}
.tagbar nav {
    height: inherit;
    border-top: 1px solid hsl(0, 0%, 18.82%);
    border-bottom: 1px solid hsl(0, 0%, 18.82%);
    position: absolute;
    width: 100%;
    display: flex;
    align-items: center;
}
.pre__tagbar, .next__tagbar {
    position: absolute;
    background: #181818;
    opacity: 0.9;
    z-index: 3;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 12px;
    cursor: pointer;
    
}
.pre__tagbar {
    box-shadow: 10px 1px 16px #181818;
}
.next__tagbar {
    right: 0;
    box-shadow: -10px 1px 16px #181818;

}
.tabbar__list {
    position: absolute;
    width: max-content;
    left: 60px;
    display: flex;
    transition: all 0.5s ease-in-out;
}
.tabbar__list .tabbar__item {
    padding: 4px 10px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 20px;
    margin: 0 8px;
    cursor: pointer;
}
.tabbar__list .tabbar__item.active {
    background: rgba(255, 255, 255, 0.9);
    color: #181818;
}
.tabbar__list .tabbar__item:hover {
    background: rgba(255, 255, 255, 0.18);
}
.tabbar__list .tabbar__item:hover.active {
    background: rgba(255, 255, 255, 0.9);
    color: #181818;
}
.content {
    height: 1000px;
    padding: 16px;
}

.intro__video {

}
.info__video {
    display: flex;
    margin-top: 8px;
    margin-bottom: 16px;
}
.info__account-avatar img {
    border-radius: 50%;
    width: 36px;
    height: 36px;
    margin-right: 8px;
}
.info__video-text {

}
.info__video-name {
    font-size: 1.5rem;
    font-weight: 600;
}
.info__account-name {
    font-size: 1.2rem;
    margin: 4px 0;
    color: #717171;
    font-weight:600 ;
    display: flex;
    align-items: center;
}
.info__video-timeline {
    display: flex;
    font-size: 1.2rem;
    align-items: center;
    color: #717171;
    font-weight:600 ;
}
.info__video-view {

}
.info__video-dot {
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background: #717171;
    margin: 0 12px;
}
.info__video-meta-time {

}
.info__account-check span {
   font-size: 1.2rem;
   font-weight: 700;
   background: #818181;
   margin-left: 6px;
   border-radius: 50%;
   color: #2F2F2F;
}